<?php
/*
	Registers settings, adds a new submenu in the admin panel and adds options to array
	@since 0.1

	PixoPoint Menu Plugin
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * Adds admin menu, stores array and registers settings
 * @since 0.1
 */
add_action( 'admin_menu', 'show_pixopoint_menu_options' );
function show_pixopoint_menu_options() {

	// Add various options for admin page
	$page = add_options_page(
		'PixoPoint Menu Plugin Options',
		'PixoPoint Menu',
		'administrator',
		'pixopointmenuoptions',
		'pixopoint_menu_options'
	);
	add_action( "admin_print_scripts-$page", 'pixopoint_menu_adminhead' );

	// Adds various default options into an array
	$pixopoint_setmenuoptions = array(
		'pixopoint_menu_css'                          => '#pixopoint_menu1 {
	width:100%;
	height:35px;
	background:#B41520 url("../images/dazzle_red.png") repeat-x;
	background-position:50% 0;
	margin:0;}
#pixopoint_menu1 ul {
	width:100%;
	border:none;
	background:none;
	margin:0;
	padding:0;
	list-style:none;
	}
#pixopoint_menu1 li {
	border:none;
	background:none;
	background:#B41520 url("../images/dazzle_red.png");
	color:#FFFFFF;
	line-height:35px;
	z-index:20;
	letter-spacing:0px;
	background:;
	font-weight:bold;
	font-size:14px;
	padding:0;
	margin:0 0px;
	;float:left;
	font-family:tahoma,sans-serif;
	position:relative;
	}
#pixopoint_menu1 li:hover,#pixopoint_menu1 li.sfhover {
	background:#D43843 url("../images/dazzle_red.png");
	background-position:0 60px;
	}
#pixopoint_menu1 li a {
	border:none;
	background:none;
	text-decoration:none;
	display:block;
	padding:0 12px;
	color:#FFFFFF;
	}
#pixopoint_menu1 li a:hover {
	border:none;
	background:none;
	text-decoration:none;
	color:#FFFFFF;
	background-position:100% -120px;
	}
#pixopoint_menu1 ul ul {
	position:absolute;
	left:-999em;
	top:35px;
	width:120px;
	}
#pixopoint_menu1 li:hover ul,#pixopoint_menu1 li.sfhover ul {
	left:auto;
	}
#pixopoint_menu1 ul ul li a {
	padding:4px 10px;
	text-transform:normal;
	font-variant:normal;
	}
#pixopoint_menu1 ul ul li {
	letter-spacing:0px;
	color:#444444;
	z-index:20;
	width:120px;
	font-family:helvetica,arial,sans-serif;
	font-size:11px;
	font-weight:normal;
	font-style:normal;
	background:#FFFFFF;
	border-bottom:1px solid #cccccc;
	border-left:1px solid #cccccc;
	border-right:1px solid #cccccc;
	margin:0;
	}
#pixopoint_menu1 ul ul li a {
	line-height:22px;
	color:#444444;
	text-decoration:none;
	}
#pixopoint_menu1 ul ul li:hover a,#pixopoint_menu1 ul ul li.sfhover a {
	color:#FFFFFF;
	text-decoration:none;
	}
#pixopoint_menu1 ul ul li:hover li a,#pixopoint_menu1 ul ul li.sfhover li a {
	color:#444444;
	}
#pixopoint_menu1 ul ul li:hover li a:hover,#pixopoint_menu1 ul ul li.sfhover li a:hover {
	color:#FFFFFF;
	}
#pixopoint_menu1 ul ul li:hover,#pixopoint_menu1 ul ul li.sfhover {
	color:#FFFFFF;
	background:#B41520;
	}
#pixopoint_menu1 ul ul ul li {
	font-size:1em;}#pixopoint_menu1 ul ul ul, #pixopoint_menu1 ul ul ul ul {
	position:absolute;
	margin-left:-999em;
	top:0;
	width:120px;
	}
#pixopoint_menu1 li li:hover ul,#pixopoint_menu1 li li.sfhover ul,#pixopoint_menu1 li li li:hover ul,#pixopoint_menu1 li li li.sfhover ul {
	margin-left:120px;
	}
#pixopoint_menu1 ul ul li:hover li a,#pixopoint_menu1 ul ul li.sfhover li a {
	text-decoration:none;
	}
#pixopoint_menu1 ul ul li li:hover a,#pixopoint_menu1 ul ul li li.sfhover a {
	color:#FFFFFF;
	text-decoration:none;
	}
#pixopoint_menu1 li.pixo_search:hover {
	background:none;
	}
#pixopoint_menu1 li.pixo_search form {
	margin:0;
	padding:0;
	}
#pixopoint_menu1 li.pixo_search input {
	font-family:tahoma,sans-serif;}
#pixopoint_menu1 li.pixo_search input.pixo_inputsearch {
	width:100px;
	}
#pixopoint_menu1 li.pixo_right {
	float:right;
	}',
		'pixopoint_menu_2_css'                        => '#pixopoint_menu2 {
	width:100%;
	height:25px;
	background:#FF5050 url("../images/smoothfade_palered.png") repeat-x;
	background-position:50% 0;
	margin:0;}
#pixopoint_menu2 ul {
	width:100%;
	border:none;
	background:none;
	margin:0;
	padding:0;
	list-style:none;
	}
#pixopoint_menu2 li {
	border:none;
	background:none;
	background:#FF5050 url("../images/smoothfade_palered.png");
	color:#FFFFFF;
	line-height:25px;
	text-transform:uppercase;
	z-index:10;
	letter-spacing:0px;
	background:;
	font-weight:normal;
	font-size:12px;
	padding:0;
	margin:0 0px;
	;float:left;
	font-family:helvetica,arial,sans-serif;
	position:relative;
	}
#pixopoint_menu2 li:hover,#pixopoint_menu2 li.sfhover {
	background:#e92020
	}
#pixopoint_menu2 li a {
	border:none;
	background:none;
	text-decoration:none;
	display:block;
	padding:0 8px;
	color:#FFFFFF;
	}
#pixopoint_menu2 li a:hover {
	border:none;
	background:none;
	text-decoration:none;
	color:#FFFFFF;
	background-position:100% -120px;
	}
#pixopoint_menu2 ul ul {
	position:absolute;
	left:-999em;
	top:25px;
	width:120px;
	}
#pixopoint_menu2 li:hover ul,#pixopoint_menu2 li.sfhover ul {
	left:auto;
	}
#pixopoint_menu2 ul ul li a {
	padding:4px 10px;
	text-transform:normal;
	font-variant:normal;
	}
#pixopoint_menu2 ul ul li {
	letter-spacing:0px;
	color:#444444;
	z-index:10;
	width:120px;
	font-family:helvetica,arial,sans-serif;
	font-size:11px;
	font-weight:normal;
	font-style:normal;
	background:#fcfcfc;
	border-bottom:1px solid #cccccc;
	border-left:1px solid #cccccc;
	border-right:1px solid #cccccc;
	margin:0;
	}
#pixopoint_menu2 ul ul li a {
	line-height:22px;
	color:#444444;
	text-decoration:none;
	}
#pixopoint_menu2 ul ul li:hover a,#pixopoint_menu2 ul ul li.sfhover a {
	color:#444444;
	text-decoration:none;
	}
#pixopoint_menu2 ul ul li:hover li a,#pixopoint_menu2 ul ul li.sfhover li a {
	color:#444444;
	}
#pixopoint_menu2 ul ul li:hover li a:hover,#pixopoint_menu2 ul ul li.sfhover li a:hover {
	color:#444444;
	}
#pixopoint_menu2 ul ul li:hover,#pixopoint_menu2 ul ul li.sfhover {
	color:#444444;
	background:#dedede;
	}
#pixopoint_menu2 ul ul ul li {
	font-size:1em;}#pixopoint_menu2 ul ul ul, #pixopoint_menu2 ul ul ul ul {
	position:absolute;
	margin-left:-999em;
	top:0;
	width:120px;
	}
#pixopoint_menu2 li li:hover ul,#pixopoint_menu2 li li.sfhover ul,#pixopoint_menu2 li li li:hover ul,#pixopoint_menu2 li li li.sfhover ul {
	margin-left:120px;
	}
#pixopoint_menu2 ul ul li:hover li a,#pixopoint_menu2 ul ul li.sfhover li a {
	text-decoration:none;
	}
#pixopoint_menu2 ul ul li li:hover a,#pixopoint_menu2 ul ul li li.sfhover a {
	color:#444444;
	text-decoration:none;
	}
#pixopoint_menu2 li.pixo_search:hover {
	background:none;
	}
#pixopoint_menu2 li.pixo_search form {
	margin:0;
	padding:0;
	}
#pixopoint_menu2 li.pixo_search input {
	font-family:helvetica,arial,sans-serif;}
#pixopoint_menu2 li.pixo_search input.pixo_inputsearch {
	width:100px;
	}
#pixopoint_menu2 li.pixo_right {
	float:right;
	}',
		'pixopoint_menu_hometitle'                    => 'Home',
		'pixopoint_menu_pagestitle'                   => 'Pages',
		'pixopoint_menu_categoriestitle'              => 'Categories',
		'pixopoint_menu_archivestitle'                => 'Archives',
		'pixopoint_menu_blogrolltitle'                => 'Links',
		'pixopoint_menu_recentcommentstitle'          => 'Recent Comments',
		'pixopoint_menu_recentpoststitle'             => 'Recent',
		'pixopoint_menu_disablecss'                   => '',
		'pixopoint_menu_categoryorder'                => 'Ascending Name',
		'pixopoint_menu_pageorder'                    => 'Normal',
		'pixopoint_menu_categorycount'                => '',
		'pixopoint_menu_titletags'                    => '',
		'pixopoint_menu_pages_singledropdown'         => '',
		'pixopoint_menu_categories_singledropdown'    => '',
		'pixopoint_menu_archivesdropdown'             => 'on',
		'pixopoint_menu_archivesperiod'               => 'Years',
		'pixopoint_menu_linkscategorized'             => 'off',
		'pixopoint_menu_linksdropdown'                => 'on',
		'pixopoint_menu_categories_showchildposts'    => '',
		'pixopoint_menu_css_extra'                    => '',
		'pixopoint_menu_searchalignment'              => 'on',
		'pixopoint_menu_themesupport'                 => 'on',
		'pixopoint_menu_compatibilitymode'            => '',
		'pixopoint_menu_pagesnoparentlinks'           => '',
		'pixopoint_menu_recentcommentsnumber'         => '10',
		'pixopoint_menu_recentpostsnumber'            => '10',
		'pixopoint_menu_categorypostslimit'           => '10',

		'pixopoint_menu_custommenu'                   => '<li><a href="http://pixopoint.com/">PixoPoint</a>
	<ul>
		<li><a href="http://pixopoint.com/pixopoint-menu/">PixoPoint Menu</a></li>
		<li><a href="http://pixopoint.com/products/suckerfish_css/">PixoPoint CSS Generator</a></li>
		<li><a href="http://pixopoint.com/products/simple-cms-theme-update/">SimpleCMS Theme</a></li>
		<li><a href="http://pixopoint.com/forum/">Support</a></li>
	</ul>
</li>
<li><a href="#">WordPress Resources</a>
	<ul>
		<li><a href="http://wptavern.com/">WP Tavern</a></li>
		<li><a href="http://wpgarage.com/">WP Garage</a></li>
		<li><a href="http://justintadlock.com/">Justin Tadlock</a></li>
		<li><a href="http://wpvibe.com/">WP Vibe</a></li>
		<li><a href="http://www.arickmann.co.uk/blog/">Andrew Rickmann</a></li>
	</ul>
</li>
<li><a href="http://ryanhellyer.net/">Ryans Blog</a></li>',
		'pixopoint_menu_custommenu2'                  => '<li><a href="http://pixopoint.com/">PixoPoint</a>
	<ul>
		<li><a href="http://pixopoint.com/pixopoint-menu/">PixoPoint Menu</a></li>
		<li><a href="http://pixopoint.com/products/suckerfish_css/">PixoPoint CSS Generator</a></li>
		<li><a href="http://pixopoint.com/products/simple-cms-theme-update/">SimpleCMS Theme</a></li>
		<li><a href="http://pixopoint.com/forum/">Support</a></li>
	</ul>
</li>
<li><a href="#">WordPress Resources</a>
	<ul>
		<li><a href="http://wptavern.com/">WP Tavern</a></li>
		<li><a href="http://wpgarage.com/">WP Garage</a></li>
		<li><a href="http://justintadlock.com/">Justin Tadlock</a></li>
		<li><a href="http://wpvibe.com/">WP Vibe</a></li>
		<li><a href="http://www.arickmann.co.uk/blog/">Andrew Rickmann</a></li>
	</ul>
</li>
<li><a href="http://ryanhellyer.net/">Ryans Blog</a></li>',
		'pixopoint_menu_custommenu3'                  => '<li><a href="http://pixopoint.com/">PixoPoint</a>
	<ul>
		<li><a href="http://pixopoint.com/pixopoint-menu/">PixoPoint Menu</a></li>
		<li><a href="http://pixopoint.com/products/suckerfish_css/">PixoPoint CSS Generator</a></li>
		<li><a href="http://pixopoint.com/products/simple-cms-theme-update/">SimpleCMS Theme</a></li>
		<li><a href="http://pixopoint.com/forum/">Support</a></li>
	</ul>
</li>
<li><a href="#">WordPress Resources</a>
	<ul>
		<li><a href="http://wptavern.com/">WP Tavern</a></li>
		<li><a href="http://wpgarage.com/">WP Garage</a></li>
		<li><a href="http://justintadlock.com/">Justin Tadlock</a></li>
		<li><a href="http://wpvibe.com/">WP Vibe</a></li>
		<li><a href="http://www.arickmann.co.uk/blog/">Andrew Rickmann</a></li>
	</ul>
</li>
<li><a href="http://ryanhellyer.net/">Ryans Blog</a></li>',
		'pixopoint_menu_custommenu4'                  => '<li><a href="http://pixopoint.com/">PixoPoint</a>
	<ul>
		<li><a href="http://pixopoint.com/pixopoint-menu/">PixoPoint Menu</a></li>
		<li><a href="http://pixopoint.com/products/suckerfish_css/">PixoPoint CSS Generator</a></li>
		<li><a href="http://pixopoint.com/products/simple-cms-theme-update/">SimpleCMS Theme</a></li>
		<li><a href="http://pixopoint.com/forum/">Support</a></li>
	</ul>
</li>
<li><a href="#">WordPress Resources</a>
	<ul>
		<li><a href="http://wptavern.com/">WP Tavern</a></li>
		<li><a href="http://wpgarage.com/">WP Garage</a></li>
		<li><a href="http://justintadlock.com/">Justin Tadlock</a></li>
		<li><a href="http://wpvibe.com/">WP Vibe</a></li>
		<li><a href="http://www.arickmann.co.uk/blog/">Andrew Rickmann</a></li>
	</ul>
</li>
<li><a href="http://ryanhellyer.net/">Ryans Blog</a></li>',
	);
	// Add default options to an option in the database if they aren't already in there
	add_option( 'pixopoint_menuoptions', $pixopoint_setmenuoptions );

	// Add default menu item position into database if they aren't already in there
	add_option( 'pixopoint_menu_content' , array(
		'0'  => 'MAINMENU',
		'1'  => 'home',
		'2'  => 'pages',
		'3'  => 'categories',
		'4'  => 'SECONDMENU',
		'5'  => 'INACTIVEITEMS',
		'6'  => 'search',
		'7'  => 'recentcomments',
		'8'  => 'recentposts',
		'9'  => 'archives',
		'10' => 'links',
		'11' => 'customcode1',
		'12' => 'customcode2',
		'13' => 'customcode3',
		'14' => 'customcode4'
		)
	);

	// Register Settings
	register_setting( 'pixopoint-menu', 'pixopoint_menuoptions', 'pixopoint_menuvalidate' );
}


/**
 * Whitelist the options for options.php's checks (thanks to Ryan McCue for this tip)
 * @since 0.7
 */
function pixopoint_menu_whitelist($whitelist) {
	$whitelist['pixopoint_menu_whitelist'] = array(
		'pixopoint_menuoptions',
	);
	return $whitelist;
}
add_filter( 'whitelist_options', 'pixopoint_menu_whitelist' );


/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 * @since 0.1
 */
function pixopoint_menuvalidate($input) {
	global $allowed_html;
	pixopoint_allowed_html(); // Loads allowed html into an array ... $allowed_html
	// Check for on off stuff
	switch ( $input['pixopoint_menu_disablecss'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_categorycount'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_titletags'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_pages_singledropdown'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_categories_singledropdown'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_disablecss'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_archivesdropdown'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_linkscategorized'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_linksdropdown'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_categories_showchildposts'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_searchalignment'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_themesupport'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_compatibilitymode'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_customfields'] ) {
		case 'on': break;
		case 'off': break;
		case '': break;
		default: die;
	}

	// Checking for specific values
	switch ( $input['pixopoint_menu_pageorder'] ) {
		case 'Normal': break;
		case 'Ascending Name': break;
		case 'Descending Name': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_archivesperiod'] ) {
		case 'Years': break;
		case 'Months': break;
		case 'Years and Months': break;
		case '': break;
		default: die;
	}
	switch ( $input['pixopoint_menu_categoryorder'] ) {
		case 'Ascending ID #': break;
		case 'Descending ID #': break;
		case 'Ascending Name': break;
		case 'Descending Name': break;
		case 'My Category Order plugin': break;
		case '': break;
		default: die;
	}

	// Stripping tags and other stuff out
	$input['pixopoint_menu_hometitle']            =  wp_filter_nohtml_kses( $input['pixopoint_menu_hometitle'] );
	$input['pixopoint_menu_pagestitle']           =  wp_filter_nohtml_kses( $input['pixopoint_menu_pagestitle'] );
	$input['pixopoint_menu_categoriestitle']      =  wp_filter_nohtml_kses( $input['pixopoint_menu_categoriestitle'] );
	$input['pixopoint_menu_archivestitle']        =  wp_filter_nohtml_kses( $input['pixopoint_menu_archivestitle'] );
	$input['pixopoint_menu_blogrolltitle']        =  wp_filter_nohtml_kses( $input['pixopoint_menu_blogrolltitle'] );
	$input['pixopoint_menu_recentcommentstitle']  =  wp_filter_nohtml_kses( $input['pixopoint_menu_recentcommentstitle'] );
	$input['pixopoint_menu_recentpoststitle']     =  wp_filter_nohtml_kses( $input['pixopoint_menu_recentpoststitle'] );
	$input['pixopoint_menu_pagesnoparentlinks']   =  wp_filter_nohtml_kses( $input['pixopoint_menu_pagesnoparentlinks'] ); // should do explicit check here - on todo list
	$input['pixopoint_menu_pagesnoparentlinks']   =  wp_filter_nohtml_kses( $input['pixopoint_menu_pagesnoparentlinks'] ); // should do explicit check here - on todo list
	$input['pixopoint_menu_excludecategories']    =  wp_filter_nohtml_kses( $input['pixopoint_menu_excludecategories'] ); // should do explicit check here - on todo list

	// Checkin' if they're numeric
	if ( !is_numeric( $input['pixopoint_menu_recentcommentsnumber'] ) )
		$input['pixopoint_menu_recentcommentsnumber'] = '10';
	if ( !is_numeric( $input['pixopoint_menu_recentpostsnumber'] ) )
		$input['pixopoint_menu_recentpostsnumber'] = '10';
	if ( !is_numeric( $input['pixopoint_menu_categories_showchildposts'] ) )
		$input['pixopoint_menu_categories_showchildposts'] = '10';

	// Santising CSS before HTML filter
	$input['pixopoint_menu_css']         = str_replace( '<', '&lt;', $input['pixopoint_menu_css'] );
	$input['pixopoint_menu_css']         = str_replace( '>', '&gt;', $input['pixopoint_menu_css'] );
	$input['pixopoint_menu_2_css']       = str_replace( '<', '&lt;', $input['pixopoint_menu_2_css'] );
	$input['pixopoint_menu_2_css']       = str_replace( '>', '&gt;', $input['pixopoint_menu_2_css'] );
	$input['pixopoint_menu_css_extra']   = str_replace( '<', '&lt;', $input['pixopoint_menu_css_extra'] );
	$input['pixopoint_menu_css_extra']   = str_replace( '>', '&gt;', $input['pixopoint_menu_css_extra'] );

	// Keeping the http intact (otherwise it gets removed by wp_kses) - there's probably a way to avoid it happening via the function itself but I haven't found it yet
	$input['pixopoint_menu_custommenu']  = str_replace( 'http://', 'dontstripthisout', $input['pixopoint_menu_custommenu'] );
	$input['pixopoint_menu_custommenu2'] = str_replace( 'http://', 'dontstripthisout', $input['pixopoint_menu_custommenu2'] );
	$input['pixopoint_menu_custommenu3'] = str_replace( 'http://', 'dontstripthisout', $input['pixopoint_menu_custommenu3'] );
	$input['pixopoint_menu_custommenu4'] = str_replace( 'http://', 'dontstripthisout', $input['pixopoint_menu_custommenu4'] );

	// Run through each entry and strip nasty HTML
	foreach ( $input as $set => $value ) {
		// Strip out all but a select group of HTML tags
		pixopoint_allowed_html(); // Loads allowed html into an array ... $allowed_html
		$input[$set] =  wp_kses( $input[$set], $allowed_html, $allowed_protocols );
	}

	// Adding http:// back in after HTML strip
	$input['pixopoint_menu_custommenu']  = str_replace( 'dontstripthisout', 'http://', $input['pixopoint_menu_custommenu'] );
	$input['pixopoint_menu_custommenu2'] = str_replace( 'dontstripthisout', 'http://', $input['pixopoint_menu_custommenu2'] );
	$input['pixopoint_menu_custommenu3'] = str_replace( 'dontstripthisout', 'http://', $input['pixopoint_menu_custommenu3'] );
	$input['pixopoint_menu_custommenu4'] = str_replace( 'dontstripthisout', 'http://', $input['pixopoint_menu_custommenu4'] );

	// Santising CSS after HTML filter
	$input['pixopoint_menu_css']         = str_replace( '&lt;', '<', $input['pixopoint_menu_css'] );
	$input['pixopoint_menu_css']         = str_replace( '&gt;', '>', $input['pixopoint_menu_css'] );
	$input['pixopoint_menu_css']         = strip_tags( $input['pixopoint_menu_css'] );
	$input['pixopoint_menu_2_css']       = str_replace( '&lt;', '<', $input['pixopoint_menu_2_css'] );
	$input['pixopoint_menu_2_css']       = str_replace( '&gt;', '>', $input['pixopoint_menu_2_css'] );
	$input['pixopoint_menu_2_css']       = strip_tags( $input['pixopoint_menu_2_css'] );
	$input['pixopoint_menu_css_extra']   = str_replace( '&lt;', '<', $input['pixopoint_menu_css_extra'] );
	$input['pixopoint_menu_css_extra']   = str_replace( '&gt;', '>', $input['pixopoint_menu_css_extra'] );
	$input['pixopoint_menu_css_extra']   = strip_tags( $input['pixopoint_menu_css_extra'] );

	// Converting from Multi-level Navigation plugin (used in the CSS generator at the moment)
	$input['pixopoint_menu_css']         = str_replace( '../multi-level-navigation-plugin/', '', $input['pixopoint_menu_css'] );
	$input['pixopoint_menu_2_css']       = str_replace( '../multi-level-navigation-plugin/', '', $input['pixopoint_menu_2_css'] );
	$input['pixopoint_menu_css_extra']   = str_replace( '../multi-level-navigation-plugin/', '', $input['pixopoint_menu_css_extra'] );

	// Converting from PixoPoint Menu plugin v0.6
	$input['pixopoint_menu_css']         = str_replace( '../images/', PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_css'] );
	$input['pixopoint_menu_2_css']       = str_replace( '../images/', PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_2_css'] );
	$input['pixopoint_menu_css_extra']   = str_replace( '../images/', PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_css_extra'] );

	// Converting from PixoPoint Menu plugin v0.8.6
	$input['pixopoint_menu_css']         = str_replace( "url('images/", 'url("' . PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_css'] );
	$input['pixopoint_menu_2_css']       = str_replace( "url('images/", 'url("' . PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_2_css'] );
	$input['pixopoint_menu_css_extra']   = str_replace( "url('images/", 'url("' . PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_css_extra'] );

	$input['pixopoint_menu_css']         = str_replace( 'url(images/', 'url(' . PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_css'] );
	$input['pixopoint_menu_2_css']       = str_replace( 'url(images/', 'url(' . PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_2_css'] );
	$input['pixopoint_menu_css_extra']   = str_replace( 'url(images/', 'url(' . PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_css_extra'] );

	$input['pixopoint_menu_css']         = str_replace( 'url( images/', 'url( ' . PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_css'] );
	$input['pixopoint_menu_2_css']       = str_replace( 'url( images/', 'url( ' . PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_2_css'] );
	$input['pixopoint_menu_css_extra']   = str_replace( 'url( images/', 'url( ' . PIXOPOINT_MENU_URL_IMAGES, $input['pixopoint_menu_css_extra'] );


	if ( $input['pixopoint_menu_css'] != '' ) {
		$css = '/*********************************************************
 ****** CSS generated via the PixoPoint Menu Plugin ******
 ********** http://pixopoint.com/pixopoint-menu/ *********
 *********************************************************/



' . $input['pixopoint_menu_css'];
	}
	if ( $input['pixopoint_menu_2_css'] != '' ) {
		$css = $css . '



/*********************************
******** Second Menu CSS *********
**********************************/

' . $input['pixopoint_menu_2_css'];
	}

	if ( $input['pixopoint_menu_css_extra'] != '' ) {
		$css = $css . '



/*********************************
*********** Extra CSS ************
**********************************/

' . $input['pixopoint_menu_css_extra'];
	}

	// Writing CSS to file (if possible)
	$uploads_folder = wp_upload_dir();
	file_put_contents( $uploads_folder['basedir'] . '/pixopoint_menu.css', $css ); // Write the contents back to the file

	return $input;
}


/**
 * Caching CSS in a seperate option (so that the stylesheet doesn't need to load it twice from the database)
 * Currently debating whether using this approach is a good idea or not
 * The question is: Is there any measurable difference in load time between loading JUST the CSS, or loading
     all of the options in one hit? In theory, the bulk of the option is made up of the CSS anyway, so it may make
	 some sense to do it this way, then strip the CSS from the first option so that it loads faster as well ...
	 at this stage we'll go with the easiest route since I suspect it makes no real difference performance wise as
	 there is the exact same number of MySQL requests either way, it's just that there is a smaller amount of data
	 to be accessed using this alternative approach (ie: it's split between two options).
 * Probably best to do this via file caching rather than database caching
 * @since 0.7
 */
// add_option( 'pixopoint_menu_css', $pixopoint_menuoptions['pixopoint_menu_css'] . $pixopoint_menuoptions['pixopoint_menu_2_css'] . $pixopoint_menuoptions['pixopoint_menu_css_extra']  );
// update_option( 'pixopoint_menu_css', $pixopoint_menuoptions['pixopoint_menu_css'] . $pixopoint_menuoptions['pixopoint_menu_2_css'] . $pixopoint_menuoptions['pixopoint_menu_css_extra'] );


?>
