<?php
/*
	Loads a bunch of functions used in the admin page
	@since 0.7

	PixoPoint Menu Plugin
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * Adds content to HEAD section for admin pages
 * @since 0.1
 * Fired in add_options.php file
 */
function pixopoint_menu_adminhead() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );

	// wp_enqueue_style( 'pixopoint-admin', ', false, 0.7, 'screen' ); // This does not work, if you know why, please let us know! http://pixopoint.com/contact/
	echo "<link rel='stylesheet' href='" . PIXOPOINT_MENU_URL_ADMIN . "admin.css' type='text/css' media='screen' />";

	// Register scripts
	wp_register_script(
		'jquery-animated',
		PIXOPOINT_MENU_URL_SCRIPTS . 'jqanimatedcollapse.js',
		array( 'jquery' ),
		'1.9'
	);
	wp_register_script(
		'jquery-tabber',
		PIXOPOINT_MENU_URL_SCRIPTS . 'tabber.js',
		array( 'jquery' ),
		'1.0'
	);
	if ( WPLANG == '' ) { // Only load this for English language sites - can be upgraded to use other languages once translations are provided
		wp_register_script(
			'ajax-tabs-help',
			PIXOPOINT_MENU_URL_SCRIPTS . 'ajax-tabs.js.php?page=help',
			array( 'jquery' ),
			'1.0',
			true
		);
	}

	// Adds the enqueue'd scripts (Disable for compatibility mode)
	// The reason for disabling the scripts for comatibility mode is so
	// that when there is a jQuery conflict the users don't find the
	// admin panel only half works. This way it looks a little borked,
	// but it's at least still usable.
	if ( $pixopoint_menuoptions['pixopoint_menu_compatibilitymode'] != 'on' ) {
		wp_enqueue_script( 'jquery-ui-sortable' ); // Adds drag and drop support
		wp_enqueue_script( 'jquery-ui-core' ); // jQuery core, used by other jQuery scripts
		wp_enqueue_script( 'jquery-ui-tabs' ); // Adds support for tabber menus
		wp_enqueue_script( 'jquery-animated' ); // Adds animated pulldowns for drag and drop objects
		wp_enqueue_script( 'jquery-tabber' ); // Creates tabber menu
		wp_enqueue_script( 'ajax-tabs-help' ); // Loads the help page via AJAX
	}
	if ( !function_exists( 'pixopoint_multiplemenus' ) ) {echo '<style type="text/css">#listItem_XXX {display:none;}</style>';}
    add_action( 'admin_footer', 'pixopoint_menu_adminfoot' ); // Loading the admin page footer content
}


/**
 * Loading the admin page footer content
 * @since 0.7
 */
function pixopoint_menu_adminfoot() {
	?>
<script type='text/javascript'>
	jQuery(document).ready(function(){
		jQuery("#order").sortable({
			placeholder: "ui-selected",
			revert: false,
			tolerance: "pointer"
		});
		jQuery("#widgetbox").sortable({
			handle : '.handle',
			update : function () {
				var order = jQuery('#widgetbox').sortable('serialize');
				jQuery("#info").load("<?php
					echo wp_nonce_url( PIXOPOINT_MENU_URL_ADMIN . 'process-sortable.php', 'pixopoint_getorder' );
				?>&action=getorder&"+order);

			}
		});
	});

	// jQuery Animated
	var collapse4=new animatedcollapse('pulldown_pages4', 150, true)
	var collapse2=new animatedcollapse('pulldown_pages2', 150, true)
	var collapse1=new animatedcollapse('pulldown_pages', 150, true)
	var collapse5=new animatedcollapse('pulldown_pages5', 150, true)
	var collapse6=new animatedcollapse('pulldown_pages6', 150, true)
	var collapse3=new animatedcollapse('pulldown_pages3', 150, true)
	var collapse7=new animatedcollapse('pulldown_pages7', 150, true)
	var collapse8=new animatedcollapse('pulldown_pages8', 150, true)
	var collapse9=new animatedcollapse('pulldown_pages9', 150, true)
	var collapse10=new animatedcollapse('pulldown_pages10', 150, true)
	var collapse11=new animatedcollapse('pulldown_pages11', 150, true)
	var collapse12=new animatedcollapse('pulldown_pages12', 150, true)
	<?php pixopoint_menu_sortablescripts(); ?>
</script>

<?php }

/**
 * Adding Multi-menu Support - loaded via Multi-Menu module or legacy support via "library/legacy.php'
 * @since 0.7
 */
pixopoint_menu_multimenus(); // Loading hook for PixoPoint Multi-menu module


?>
