<?php
/*
	Adds the content for the admin page
	@since 0.1

	PixoPoint Menu Plugin
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


?>
<div class="wrap">
	<form method="post" action="options.php" id="options">
		<?php //wp_nonce_field( 'update-options' ); ?>
		<?php settings_fields( 'pixopoint-menu' ); ?>
		<?php screen_icon( 'pixopoint-menu' ); ?>
		<h2>PixoPoint Menu Plugin</h2>


<div id="tab_wrapper">
	<div id="tabs" class="maintabber">
		<ul>
			<li id="pixopoint_general_options"><a href="#general_options">General</a></li>
			<li id="pixopoint_settings_options"><a href="#settings_options">Settings</a></li>
			<li id="pixopoint_advanced_options"><a href="#advanced_options">Advanced</a></li>
			<li id="pixopoint_help_options"><a href="<?php /*  <?php echo PIXOPOINT_MENU_URL_ADMIN; ?>ajax_tabs.php?page=help*/ ?>#help_options">Help</a></li>
<?php /*			<li id="pixopoint_upgrades_options"><a href="#upgrades_options">Upgrades</a></li> */ ?>
		</ul>
		<div id="general_options">
			<div class="tab_inner_padded">
				<p><?php _e( 'Drag and drop the menu items to control what appears in your menu.', PIXOPOINT_MENU_LANGUAGE ); ?></p>

				<h4 class="mainmenuitems"><?php _e( 'Main menu items', PIXOPOINT_MENU_LANGUAGE ); ?></h4>
				<?php if ( $pixopoint_menuoptions['pixopoint_menu_compatibilitymode'] == 'on' ) { ?>
				<div id="widgetbox_compatibility">
				<?php }
				else { ?>
				<div id="widgetbox">
				<?php }
				// Loading the required menu items into position - functions stored in menu_items.php
				foreach ( get_option( 'pixopoint_menu_content' ) as $set ) {
						if ( $set == 'pages' )
							pixopoint_menucontents_pages();
						elseif ( $set == 'categories' )
							pixopoint_menucontents_categories();
						elseif ( $set == 'recentcomments' )
							pixopoint_menucontents_recentcomments();
						elseif ( $set == 'INACTIVEITEMS' )
							pixopoint_menucontents_inactive();
						elseif ( $set == 'SECONDMENU' )
							pixopoint_menucontents_secondmenu();
						elseif ( $set == 'customcode4' )
							pixopoint_menucontents_customcode4();
						elseif ( $set == 'customcode3' )
							pixopoint_menucontents_customcode3();
						elseif ( $set == 'customcode2' )
							pixopoint_menucontents_customcode2();
						elseif ( $set == 'customcode1' )
							pixopoint_menucontents_customcode1();
						elseif ( $set == 'links' )
							pixopoint_menucontents_links();
						elseif ( $set == 'archives' )
							pixopoint_menucontents_archives();
						elseif ( $set == 'home' )
							pixopoint_menucontents_home();
						elseif ( $set == 'search' )
							pixopoint_menucontents_search();
						elseif ( $set == 'recentposts' )
							pixopoint_menucontents_recentposts();
						pixopoint_menu_adminitemhook(); // Loads the hook to add extra menu items via plugins
					}
				?>
					<div id="info">
						<?php /* #info used to display the update message comment (via AJAX) */ ?>
					</div>
				</div>

				<div style="clear:both"></div>
				<p class="submit"><input type="submit" name="Submit" value="<?php _e( 'Update Options' ) ?>" /></p>
			</div>
		</div>

		<div id="settings_options">
			<div class="tab_inner_padded">
				<table class="widefat" cellspacing="0" id="active-plugins-table">
					<thead>
						<tr>
							<th scope="col" colspan="2"><?php _e( 'Setting', PIXOPOINT_MENU_LANGUAGE ); ?></th>
							<th scope="col"><?php _e( 'Description', PIXOPOINT_MENU_LANGUAGE ); ?></th>
						</tr>
					</thead>
					<tfoot>
						<tr>
							<th scope="col" colspan="3"><?php _e( 'You may modify your menus behaviour via the following settings', PIXOPOINT_MENU_LANGUAGE ); ?></th>
						</tr>
					</tfoot>
					<tbody class="plugins">
						<?php
							// Adds a comment about choosing between the built in theme CSS and the plugins CSS
							// Adds custom controls for PixoPoint created themes - we'll probably just use wp_page_menu() in future so this is really just legacy support unfortunately
							if ( function_exists( 'pixopoint_mainmenu' ) || function_exists( 'pixopoint_secondmenu ' ) ) { ?>
							<tr class="active">
								<th scope='row' class='check-column'>
							      	<select name="pixopoint_menuoptions[pixopoint_menu_generator]">
									<?php
										switch ( $pixopoint_menuoptions['pixopoint_menu_generator'] ){
											case 'Theme CSS': echo '<option>Theme CSS</option><option>Plugin CSS</option>'; break;
											case 'Plugin CSS': echo '<option>Plugin CSS</option><option>Theme CSS</option>'; break;
											case '': echo '<option>Theme CSS</option><option>Plugin CSS</option>'; break;
										}
									?>
									</select>
								</th>
								<td class='name'><?php _e( 'Use theme or plugins CSS?', PIXOPOINT_MENU_LANGUAGE ); ?></td>
								<td class='desc'>
									<p><?php _e( 'You are currently using a theme designed to integrate directly with the PixoPoint Menu Plugin. You can either keep the existing menu design by using the themes CSS, or change to the plugins CSS to override the theme styling.', PIXOPOINT_MENU_LANGUAGE ); ?></p>
								</td>
							</tr>
						<?php } ?>

						<?php if ( $pixopoint_menuoptions['pixopoint_menu_secondmenu'] == 'legacy' ) { ?>
						<style type="text/css">tr.alert {background:#ffebe8;}</style>
						<tr class="alert">
							<th scope='row' class='check-column'>
								<?php
									if ( $pixopoint_menuoptions['pixopoint_menu_secondmenu'] == 'legacy' ) {echo '<input type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_secondmenu]" checked="yes" />';}
									else {echo '<input type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_secondmenu]" />';}
								?>
							</th>
							<td class='name'><?php _e( 'Add a second menu?', PIXOPOINT_MENU_LANGUAGE ); ?></td>
							<td class='desc'>
								<p><?php _e( 'You may add a second menu to your site. For a second menu, add the following code to your theme <br /><code>&lt;?php if (function_exists(\'pixopoint_menu\')) {pixopoint_menu(2);} ?&gt;</code>. This functionality will soon be removed, to continue using this feature please visit our <a href="http://pixopoint.com/pixopoint-menu-legacy/">free upgrades page for more information</a>.', PIXOPOINT_MENU_LANGUAGE ); ?></p>
							</td>
						</tr>
						<?php } ?>
						<tr class="active">
							<th scope='row' class='check-column'>
								<?php
									if ( $pixopoint_menuoptions['pixopoint_menu_titletags'] == 'on' ) { ?>
										<input type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_titletags]" checked="yes" />
									<?php }
									else { ?>
										<input type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_titletags]" />
									<?php }
								?>
							</th>
							<td class='name'><?php _e( 'Remove title attribute?', PIXOPOINT_MENU_LANGUAGE ); ?></td>
							<td class='desc'>
								<p><?php _e( 'This removes the title attributes from the links in the menu. The title attributes display in most browsers as a small tool tip on hover over the links.', PIXOPOINT_MENU_LANGUAGE ); ?></p>
							</td>
						</tr>
						<tr class='active'>
							<th scope='row' class='check-column'>
								<select name="pixopoint_menuoptions[pixopoint_menu_displaycss]">
								<?php
									switch ( $pixopoint_menuoptions['pixopoint_menu_displaycss'] ){
										case 'Disable': echo '<option>Disable</option>menu2<option>Normal</option>'; break;
										case 'Normal': echo '<option>Normal</option>menu2<option>Disable</option>'; break;
										case '': echo '<option>Normal</option>menu2<option>Disable</option>'; break;
									}
								?>
								</select>
							</th>
							<td class='name'><?php _e( 'Style sheet', PIXOPOINT_MENU_LANGUAGE ); ?></td>
							<td class='desc'>
								<p><?php _e( 'The plugin includes it\'s own built in stylesheet. However many site owners wish to use their themes built in stylesheet (good idea if you want to reduce your page size).', PIXOPOINT_MENU_LANGUAGE ); ?></p>
							</td>
						</tr>
						<tr class='active'>
							<th scope='row' class='check-column'>
								<?php
									if ( $pixopoint_menuoptions['pixopoint_menu_themesupport'] == 'on' ) { ?>
										<input type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_themesupport]" checked="yes" />
									<?php }
									else { ?>
										<input type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_themesupport]" />
									<?php }
								?>
							</th>
							<td class='name'><?php _e( 'Auto theme support', PIXOPOINT_MENU_LANGUAGE ); ?></td>
							<td class='desc'>
								<p><?php _e( 'This option allows some themes, including <a href="http://themehybrid.com/">Theme Hybrid</a>, <a href="http://themeshaper.com/">Thematic</a> and Thesis to work automatically (no theme modifications necessary). It also works with many other themes we can\' guarantee it will work (it uses the wp_page_menu() function for most themes).', PIXOPOINT_MENU_LANGUAGE ); ?></p>
							</td>
						</tr>
						<tr class='active'>
							<th scope='row' class='check-column'>
								<?php
								if ( $pixopoint_menuoptions['pixopoint_menu_compatibilitymode'] == 'on' ) { ?>
									<input type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_compatibilitymode]" checked="yes" />
									<?php }
									else { ?>
									<input type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_compatibilitymode]" />
									<?php }
								?>
							</th>
							<td class='name'><?php _e( 'Compatibility mode', PIXOPOINT_MENU_LANGUAGE ); ?></td>
							<td class='desc'>
								<p><?php _e( 'This option disables a series of settings which can potentially cause conflicts with poorly coded themes or plugins.', PIXOPOINT_MENU_LANGUAGE ); ?></p>
							</td>
						</tr>
					</tbody>
				</table>
				<p class="submit"><input type="submit" name="Submit" value="<?php _e( 'Update Options' ) ?>" /></p>
			</div>
		</div>

		<div id="advanced_options">
			<div class="tab_inner_padded">
				<?php // Load the My Page Order plugin stuff.
				if ( !function_exists( 'mypageorder' ) ) { ?>
				<p>
					This plugin originally included built in support for the
					<a href="http://geekyweekly.com/mypageorder">My Page Order plugin</a> to control the
					order of your WordPress Pages. For the most recent versions we have decided to move back to
					using the actual <a href="http://geekyweekly.com/mypageorder">My Page Order plugin</a>
					to allow you to control the order of your WordPress pages.
				<?php } ?>

				<h3><?php _e( 'You can manually modify your CSS for the main menu here.', PIXOPOINT_MENU_LANGUAGE ); ?></h3>
				<p class="pixopoint_roundedcorners">
					<textarea name="pixopoint_menuoptions[pixopoint_menu_css]" style="width:100%;border:none" value="" rows="10"><?php echo stripcslashes ( $pixopoint_menuoptions['pixopoint_menu_css'] ); ?></textarea>
				</p>
				<p class="pixopoint_footer"><?php _e( 'Note that when you save the CSS in the editing pane it will overwrite your changes here', PIXOPOINT_MENU_LANGUAGE ); ?></p>

			<?php if ( function_exists( 'pixopoint_menu_multimenus' ) OR $pixopoint_menuoptions['pixopoint_menu_secondmenu'] == 'legacy' ) { ?>
				<h3><?php _e( 'You can manually modify your CSS for the second menu here. Note that when you save the CSS in the editing pane it will overwrite your changes here.', PIXOPOINT_MENU_LANGUAGE ); ?></h3>
				<p class="pixopoint_roundedcorners">
					<textarea name="pixopoint_menuoptions[pixopoint_menu_2_css]" style="width:100%;border:none" value="" rows="10"><?php echo stripcslashes ( $pixopoint_menuoptions['pixopoint_menu_2_css'] ); ?></textarea>
				</p>
				<p class="pixopoint_footer"><?php _e( 'Note that when you save the CSS in the editing pane it will overwrite your changes here', PIXOPOINT_MENU_LANGUAGE ); ?></p>
			<?php } ?>

				<h3><?php _e( 'Use this option to add extra CSS to the plugin. This is useful for keeping your CSS modifications separate from the code from the <a href="http://pixopoint.com/services/suckerfish_css/">CSS generator</a>.', PIXOPOINT_MENU_LANGUAGE ); ?></h3>
				<?php /* _e( 'This CSS will <strong>not</strong> be modified when using the editing panel.', PIXOPOINT_MENU_LANGUAGE ); */ ?>
				<p class="pixopoint_roundedcorners">
					<textarea name="pixopoint_menuoptions[pixopoint_menu_css_extra]" style="width:100%;border:none" value="" rows="10"><?php echo stripcslashes ( $pixopoint_menuoptions['pixopoint_menu_css_extra'] ); ?></textarea>
				</p>
				<p class="pixopoint_footer"><?php _e( 'This CSS will <strong>not</strong> be modified when using the editing panel', PIXOPOINT_MENU_LANGUAGE ); ?></p>
				<p class="submit"><input type="submit" name="Submit" value="<?php _e( 'Update Options' ) ?>" /></p>
			</div>

		</div>


		<div id="help_options">
			<div class="tab_inner_padded">
				<h3><?php _e( 'Installation and support', PIXOPOINT_MENU_LANGUAGE ); ?></h3>
				<p><?php _e( 'Please visit our <a href="http://pixopoint.com/?p=757">Installation and Support information page</a>', PIXOPOINT_MENU_LANGUAGE ); ?></p>
				<div style="clear:both"></div>
			</div>
		</div>
<?php /*
		<div id="upgrades_options">
			<div class="tab_inner_padded">
				<h3><?php _e( 'Upgrades', PIXOPOINT_MENU_LANGUAGE ); ?></h3>
				<p><?php _e( 'Please visit our <a href="http://pixopoint.com/?p=780">Installation and Support information page</a>', PIXOPOINT_MENU_LANGUAGE ); ?></p>
				<div style="clear:both"></div>
			</div>
		</div>
*/ ?>
	</div>
</div>



		<input type="hidden" name="action" value="update" />

		<div style="clear:both;padding-top:20px;"></div>
		<input type="hidden" name="option_page" value="pixopoint_menu_whitelist" />
		<?php wp_nonce_field( 'pixopoint_menu_whitelist-options' ); ?>
	</form>
</div>

