<?php
/*
	Adds the sortable menu items for the admin page
	@since 0.1

	PixoPoint Menu Plugin
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * The 'Pages' draggable menu item
 * @since 0.5
 */
function pixopoint_menucontents_pages() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	?>
<div id="listItem_pages" class="pixo_widget">
	<a class="close" href="javascript:collapse2.slideit()"></a>
	<span class="handle"><?php _e( 'Pages', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages2" class="dropdown">
		<p>
			<label id="dropdownlabel"><?php _e( 'Dropdowns', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<select class="dropdownselect" class="dropdownselect" name="pixopoint_menuoptions[pixopoint_menu_depthpages]">
				<?php
				switch ( $pixopoint_menuoptions['pixopoint_menu_depthpages'] ) {
					case 'Top level only': echo '<option>Top level only</option><option>No nesting</option><option>1 level of children</option><option>2 levels of children</option><option>Infinite</option>'; break;
					case 'No nesting': echo '<option>No nesting</option><option>Top level only</option><option>1 level of children</option><option>2 levels of children</option><option>Infinite</option>'; break;
					case '1 level of children': echo '<option>1 level of children</option><option>Top level only</option><option>No nesting</option><option>2 levels of children</option><option>Infinite</option>'; break;
					case '2 levels of children': echo '<option>2 levels of children</option><option>Top level only</option><option>No nesting</option><option>1 level of children</option><option>Infinite</option>'; break;
					case 'Infinite': echo '<option>Infinite</option><option>Top level only</option><option>No nesting</option><option>1 level of children</option><option>2 levels of children</option>'; break;
					case '':echo '<option>Infinite</option><option>Top level only</option><option>No nesting</option><option>1 level of children</option><option>2 levels of children</option>'; break;
				}
				?>
			</select>
			<br />
			<label style="width:95px;margin-right:0;padding-right:0;"><?php _e( 'Single dropdown?', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<?php
				if ( $pixopoint_menuoptions['pixopoint_menu_pages_singledropdown'] == 'on' ) { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_pages_singledropdown]" checked="yes" />
				<?php }
				else { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_pages_singledropdown]" />
				<?php }
			?>
			<br /><br />
			<label id="titlewidthlabel"><?php _e( 'Title', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_pagestitle]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_pagestitle']; ?>" />
			<br />
			<label id="titlewidthlabel"><?php _e( 'URL', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_pagesurl]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_pagesurl']; ?>" />
			<label><?php _e( 'IDs to include or exclude', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="shortwidthwidget" type="text" name="pixopoint_menuoptions[pixopoint_menu_excludepages]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_excludepages']; ?>" />
			&nbsp; &nbsp; &nbsp;
			<select class="selectboxright" name="pixopoint_menuoptions[pixopoint_menu_includeexcludepages]">
				<?php
				switch ( $pixopoint_menuoptions['pixopoint_menu_includeexcludepages'] ) {
					case 'include': echo '<option>include</option><option>exclude</option>'; break;
					case 'exclude': echo '<option>exclude</option><option>include</option>'; break;
					case '': echo '<option>include</option><option>exclude</option>'; break;
				}
				?>
			</select>
			<br />
			<label id="orderwidthlabel">Order</label>
			<select style="float:left" class="orderwidthselect" class="orderwidthselect" name="pixopoint_menuoptions[pixopoint_menu_pageorder]">
				<?php
				switch ( $pixopoint_menuoptions['pixopoint_menu_pageorder'] ){
					case 'Normal': echo '<option>Normal</option><option>Ascending Name</option><option>Descending Name</option>'; break;
					case 'Ascending Name': echo '<option>Ascending Name</option><option>Descending Name</option><option>Normal</option>'; break;
					case 'Descending Name': echo '<option>Descending Name</option><option>Ascending Name</option><option>Normal</option>'; break;
					case '': echo '<option>Normal</option><option>Ascending Name</option><option>Descending Name</option>'; break;
				}
				?>
			</select>
			<br />
			<label><?php _e( 'IDs of URLs to exclude', PIXOPOINT_MENU_LANGUAGE ); ?></label><br />
			<input class="titlewidthinput" style="width:140px;" type="text" name="pixopoint_menuoptions[pixopoint_menu_pagesnoparentlinks]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_pagesnoparentlinks']; ?>" />
		</p>
	</div>
</div>
<?php }


/**
 * The 'Categories' draggable menu item
 * @since 0.5
 */
function pixopoint_menucontents_categories() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	?>
<div id="listItem_categories" class="pixo_widget">
	<a class="close" href="javascript:collapse1.slideit()"></a>
	<span class="handle"><?php _e( 'Categories', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages" class="dropdown">
		<p>
			<label id="dropdownlabel"><?php _e( 'Dropdowns', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<select class="dropdownselect" name="pixopoint_menuoptions[pixopoint_menu_depthcategories]">
			<?php
				switch ( $pixopoint_menuoptions['pixopoint_menu_depthcategories'] ){
					case 'Top level only': echo '<option>Top level only</option><option>No nesting</option><option>1 level of children</option><option>2 levels of children</option><option>Infinite</option>'; break;
					case 'No nesting': echo '<option>No nesting</option><option>Top level only</option><option>1 level of children</option><option>2 levels of children</option><option>Infinite</option>'; break;
					case '1 level of children': echo '<option>1 level of children</option><option>Top level only</option><option>No nesting</option><option>2 levels of children</option><option>Infinite</option>'; break;
					case '2 levels of children': echo '<option>2 levels of children</option><option>Top level only</option><option>No nesting</option><option>1 level of children</option><option>Infinite</option>'; break;
					case 'Infinite': echo '<option>Infinite</option><option>Top level only</option><option>No nesting</option><option>1 level of children</option><option>2 levels of children</option>'; break;
					case '': echo '<option>Infinite</option><option>Top level only</option><option>No nesting</option><option>1 level of children</option><option>2 levels of children</option>'; break;
					}
			?>
			</select>
			<br />
			<label style="width:95px;margin-right:0;padding-right:0;"><?php _e( 'Empty categories?', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<?php
				if ( $pixopoint_menuoptions['pixopoint_menu_categoryshowempty'] == 'on' ) { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_categoryshowempty]" checked="yes" />
				<?php }
				else { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_categoryshowempty]" />
				<?php }
			?>
			<br />
			<label style="width:95px;margin-right:0;padding-right:0;"><?php _e( 'Single dropdown?', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<?php
				if ( $pixopoint_menuoptions['pixopoint_menu_categories_singledropdown'] == 'on' ) { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_categories_singledropdown]" checked="yes" />
				<?php }
				else { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_categories_singledropdown]" />
				<?php }
			?>
			<label style="width:95px;margin-right:0;padding-right:0;"><?php _e( 'Show child posts?', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<?php
				if ( $pixopoint_menuoptions['pixopoint_menu_categories_showchildposts'] == 'on' ) { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_categories_showchildposts]" checked="yes" />
				<?php }
				else { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_categories_showchildposts]" />
				<?php }
			?>
			<label  style="width:115px;margin-right:0;padding-right:0;" id="titlewidthlabel"><?php _e( 'Number of child posts', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input style="width:20px" type="text" name="pixopoint_menuoptions[pixopoint_menu_categorypostslimit]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_categorypostslimit']; ?>" />
			<br />
			<label style="clear:left" id="titlewidthlabel"><?php _e( 'Title', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_categoriestitle]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_categoriestitle']; ?>" />
			<br />
			<label id="titlewidthlabel"><?php _e( 'URL', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_categoriesurl]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_categoriesurl']; ?>" />
			<label style="clear:left"><?php _e( 'IDs to include or exclude', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="shortwidthwidget" type="text" name="pixopoint_menuoptions[pixopoint_menu_excludecategories]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_excludecategories']; ?>" />
			&nbsp; &nbsp; &nbsp;
			<select style="float:right" class="selectboxright" name="pixopoint_menuoptions[pixopoint_menu_includeexcludecategories]">
			<?php
				switch ( $pixopoint_menuoptions['pixopoint_menu_includeexcludecategories'] ) {
					case 'include': echo '<option>include</option><option>exclude</option>'; break;
					case 'exclude': echo '<option>exclude</option><option>include</option>'; break;
					case '': echo '<option>include</option><option>exclude</option>'; break;
					}
			?>
			</select>
			<br />
			<label style="float:left" id="orderwidthlabel"><?php _e( 'Order', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<select style="float:left" class="orderwidthselect" name="pixopoint_menuoptions[pixopoint_menu_categoryorder]">
				<?php
				switch ( $pixopoint_menuoptions['pixopoint_menu_categoryorder'] ) {
					case 'Ascending ID #': echo '<option>Ascending ID #</option><option>Descending ID #</option><option>Ascending Name</option><option>Descending Name</option><option>My Category Order plugin</option>'; break;
					case 'Descending ID #': echo '<option>Descending ID #</option><option>Ascending ID #</option><option>Ascending Name</option><option>Descending Name</option><option>My Category Order plugin</option>'; break;
					case 'Ascending Name': echo '<option>Ascending Name</option><option>Descending Name</option><option>Descending ID #</option><option>Ascending ID #</option><option>My Category Order plugin</option>'; break;
					case 'Descending Name': echo '<option>Descending Name</option><option>Ascending Name</option><option>Descending ID #</option><option>Ascending ID #</option><option>My Category Order plugin</option>'; break;
					case 'My Category Order plugin': echo '<option>My Category Order plugin</option><option>Ascending ID #</option><option>Descending ID #</option><option>Ascending Name</option><option>Descending Name</option>'; break;
					case '': echo '<option>Ascending Name</option><option>Descending Name</option><option>Descending ID #</option><option>Ascending ID #</option><option>My Category Order plugin</option>'; break;
				}
				?>
			</select>
		</p>
	</div>
</div>
<?php }


/**
 * The 'Recent Comments' draggable menu item
 * @since 0.5
 */
function pixopoint_menucontents_recentcomments() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	?>
<div id="listItem_recentcomments" class="pixo_widget">
	<a class="close" href="javascript:collapse5.slideit()"></a>
	<span class="handle"><?php _e( 'Recent Comments', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages5" class="dropdown">
		<p>
			<label id="titlewidthlabel"><?php _e( 'Title', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_recentcommentstitle]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_recentcommentstitle']; ?>" />
			<br />
			<label id="titlewidthlabel"><?php _e( 'URL', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_recentcommentsurl]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_recentcommentsurl']; ?>" />
			<br />
			<label id="titlewidthlabel"><?php _e( 'Number', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_recentcommentsnumber]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_recentcommentsnumber']; ?>" />
		</p>
	</div>
</div>
<?php }


/**
 * The 'Recent Posts' draggable menu item
 *
 * @package WordPress
 * @since 0.5
 *
 */
function pixopoint_menucontents_recentposts() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	?>
<div id="listItem_recentposts" class="pixo_widget">
	<a class="close" href="javascript:collapse6.slideit()"></a>
	<span class="handle"><?php _e( 'Recent Posts', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages6" class="dropdown">
		<p>
			<label id="titlewidthlabel"><?php _e( 'Title', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_recentpoststitle]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_recentpoststitle']; ?>" />
			<br />
			<label id="titlewidthlabel"><?php _e( 'URL', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_recentpostsurl]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_recentpostsurl']; ?>" />
			<br />
			<label id="titlewidthlabel"><?php _e( 'Number', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_recentpostsnumber]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_recentpostsnumber']; ?>" />
		</p>
	</div>
</div>
<?php }


/**
 * The 'Search' draggable menu item
 * @since 0.5
 */
function pixopoint_menucontents_search() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	?>
<div id="listItem_search" class="pixo_widget">
	<a class="close" href="javascript:collapse4.slideit()"></a>
	<span class="handle">Search</span>
	<div id="pulldown_pages4" class="dropdown">
		<p>
			<label style="width:95px;margin-right:0;padding-right:0;"><?php _e( 'Right aligned', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<?php
				if ( $pixopoint_menuoptions['pixopoint_menu_searchalignment'] == 'on' ) { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_searchalignment]" checked="yes" />
				<?php }
				else { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_searchalignment]" />
				<?php }
			?>
		</p>
	</div>
</div>
<?php }


/**
 * The 'Home' draggable menu item
 *
 * @package WordPress
 * @since 0.5
 *
 */
function pixopoint_menucontents_home() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	?>
<div id="listItem_home" class="pixo_widget">
	<a class="close" href="javascript:collapse3.slideit()"></a>
	<span class="handle"><?php _e( 'Home', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages3" class="dropdown">
		<p>
			<label id="titlewidthlabel"><?php _e( 'Title', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_hometitle]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_hometitle']; ?>" />
			<br />
			<label id="titlewidthlabel"><?php _e( 'URL', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_homeurl]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_homeurl']; ?>" />
		</p>
	</div>
</div>
<?php }


/**
 * The 'Archives' draggable menu item
 * @since 0.5
 */
function pixopoint_menucontents_archives() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	?>
<div id="listItem_archives" class="pixo_widget">
	<a class="close" href="javascript:collapse7.slideit()"></a>
	<span class="handle"><?php _e( 'Archives', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages7" class="dropdown">
		<p>
			<label style="width:95px;margin-right:0;padding-right:0;"><?php _e( 'Dropdown?', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<?php
				if ( $pixopoint_menuoptions['pixopoint_menu_archivesdropdown'] == 'on' ) { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_archivesdropdown]" checked="yes" />
				<?php }
				else { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_archivesdropdown]" />
				<?php }
			?>
			<br /><br />
			<label id="titlewidthlabel"><?php _e( 'Title', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_archivestitle]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_archivestitle']; ?>" />
			<br />
			<label id="titlewidthlabel"><?php _e( 'URL', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_archivesurl]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_archivesurl']; ?>" />
			<br />
			<label style="float:left;"><?php _e( 'Time period', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<select style="float:left;" class="dropdownselect" name="pixopoint_menuoptions[pixopoint_menu_archivesperiod]">
				<?php
				switch ( $pixopoint_menuoptions['pixopoint_menu_archivesperiod'] ){
					case 'Years': echo '<option>Years</option><option>Months</option><option>Years and Months</option>'; break;
					case 'Months': echo '<option>Months</option><option>Years</option><option>Years and Months</option>'; break;
					case 'Years and Months': echo '<option>Years and Months</option><option>Years</option><option>Months</option>'; break;
					case '': echo '<option>Months</option><option>Years</option><option>Years and Months</option>'; break;
				}
				?>
			</select>
		</p>
	</div>
</div>
<?php }


/**
 * The 'Links' draggable menu item
 *
 * @package WordPress
 * @since 0.5
 *
 */
function pixopoint_menucontents_links() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	?>
<div id="listItem_links" class="pixo_widget">
	<a class="close" href="javascript:collapse8.slideit()"></a>
	<span class="handle"><?php _e( 'Links', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages8" class="dropdown">
		<p>
			<label style="width:95px;margin-right:0;padding-right:0;"><?php _e( 'Categories?', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<?php
				if ( $pixopoint_menuoptions['pixopoint_menu_linksdropdown'] == 'on' ) { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_linkscategorized]" checked="yes" />
				<?php }
				else { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_linkscategorized]" />
				<?php }
			?>
			<br />
			<label style="width:95px;margin-right:0;padding-right:0;"><?php _e( 'Dropdown?', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<?php
				if ( $pixopoint_menuoptions['pixopoint_menu_linksdropdown'] == 'on' ) { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_linksdropdown]" checked="yes" />
				<?php }
				else { ?>
					<input class="widgetcheckbox" type="checkbox" name="pixopoint_menuoptions[pixopoint_menu_linksdropdown]" />
				<?php }
			?>
			<br /><br /><br />
			<label id="titlewidthlabel"><?php _e( 'Title', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_blogrolltitle]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_blogrolltitle']; ?>" />
			<br />
			<label id="titlewidthlabel"><?php _e( 'URL', PIXOPOINT_MENU_LANGUAGE ); ?></label>
			<input class="titlewidthinput" type="text" name="pixopoint_menuoptions[pixopoint_menu_blogrollurl]" value="<?php echo $pixopoint_menuoptions['pixopoint_menu_blogrollurl']; ?>" />
		</p>
	</div>
</div>
<?php }


/**
 * The 'Custom Code 1' draggable menu item
 * @since 0.5
 */
function pixopoint_menucontents_customcode1() {
	global $allowed_html;
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	pixopoint_allowed_html(); // Loads allowed html into an array ... $allowed_html
	?>
<div id="listItem_customcode1" class="pixo_widget">
	<a class="close" href="javascript:collapse9.slideit()"></a>
	<span class="handle"><?php _e( 'Custom code 1', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages9" class="dropdown customcodebox">
		<p>
			<label><?php _e( 'Custom code', PIXOPOINT_MENU_LANGUAGE ); ?></label><br />
			<textarea name="pixopoint_menuoptions[pixopoint_menu_custommenu]" style="border:1px solid #ddd" value=""><?php
				echo $pixopoint_menuoptions['pixopoint_menu_custommenu'];
			?></textarea>
		</p>
	</div>
</div>
<?php }


/**
 * The 'Custom Code 2' draggable menu item
 * @since 0.5
 */
function pixopoint_menucontents_customcode2() {
	global $allowed_html;
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	pixopoint_allowed_html(); // Loads allowed html into an array ... $allowed_html
	?>
<div id="listItem_customcode2" class="pixo_widget">
	<a class="close" href="javascript:collapse10.slideit()"></a>
	<span class="handle"><?php _e( 'Custom code 2', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages10" class="dropdown customcodebox">
		<p>
			<label><?php _e( 'Custom code', PIXOPOINT_MENU_LANGUAGE ); ?></label><br />
			<textarea name="pixopoint_menuoptions[pixopoint_menu_custommenu2]" style="border:1px solid #ddd" value=""><?php
				echo $pixopoint_menuoptions['pixopoint_menu_custommenu2'];
			?></textarea>
		</p>
	</div>
</div>
<?php }


/**
 * The 'Custom Code 3' draggable menu item
 * @since 0.5
 */
function pixopoint_menucontents_customcode3() {
	global $allowed_html;
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	pixopoint_allowed_html(); // Loads allowed html into an array ... $allowed_html
	?>
<div id="listItem_customcode3" class="pixo_widget">
	<a class="close" href="javascript:collapse11.slideit()"></a>
	<span class="handle"><?php _e( 'Custom code 3', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages11" class="dropdown customcodebox">
		<p>
			<label><?php _e( 'Custom code', PIXOPOINT_MENU_LANGUAGE ); ?></label><br />
			<textarea name="pixopoint_menuoptions[pixopoint_menu_custommenu3]" style="border:1px solid #ddd" value=""><?php
				echo $pixopoint_menuoptions['pixopoint_menu_custommenu3'];
			?></textarea>
		</p>
	</div>
</div>
<?php }


/**
 * The 'Custom Code 4' draggable menu item
 * @since 0.5
 */
function pixopoint_menucontents_customcode4() {
	global $allowed_html;
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	pixopoint_allowed_html(); // Loads allowed html into an array ... $allowed_html
	?>
<div id="listItem_customcode4" class="pixo_widget">
	<a class="close" href="javascript:collapse12.slideit()"></a>
	<span class="handle"><?php _e( 'Custom code 4', PIXOPOINT_MENU_LANGUAGE ); ?></span>
	<div id="pulldown_pages12" class="dropdown customcodebox">
		<p>
			<label><?php _e( 'Custom code', PIXOPOINT_MENU_LANGUAGE ); ?></label><br />
			<textarea name="pixopoint_menuoptions[pixopoint_menu_custommenu4]" style="border:1px solid #ddd" value=""><?php
				echo $pixopoint_menuoptions['pixopoint_menu_custommenu4'];
			?></textarea>
		</p>
	</div>
</div>
<?php }


/**
 * Adds a block to sort the various drag n drop options into a seperate section for the second menu items
 * @since 0.5
 */
function pixopoint_menucontents_secondmenu() {
	?>
	<h4 id="listItem_SECONDMENU"<?php
		// Check if second menu should be loaded or not
		if ( !function_exists( 'pixopoint_menu_multimenusmodule' ) ) {
			echo ' style="display:none"';
		}
		?>><?php _e( 'Second menu items', PIXOPOINT_MENU_LANGUAGE ); ?></h4><?php
}


/**
 * Adds a block to sort the various drag n drop options into a seperate section for the inactive menu items
 * @since 0.5
 */
function pixopoint_menucontents_inactive() {
	?>
	<h4 id="listItem_INACTIVEITEMS"><?php _e( 'Inactive menu items', PIXOPOINT_MENU_LANGUAGE ); ?></h4>
<?php }


/**
 * Development code for allowing other plugins to add menu items
 * May not work by the time you see this
 * @since 0.7
 */
function pixopoint_menu_adminitemhook() {
	do_action( 'pixopoint_menu_adminitemhook' );
}


?>
