<?php
/*
	This file loads the menu content order for admin_page.php using Ajax

	PixoPoint Menu Plugin
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/


/**
 * Load WordPress core
 * @since 0.7
 * The first option is the default WP configuration so should load the fastest. The rest are fall-backs for modified plugin folder positions.
 */
define( 'DOING_AJAX', true );
require( '../library/load-wp.php' );


/**
 * Checking nonce is correct
 * @since 0.7
 */
check_ajax_referer( 'pixopoint_getorder' );


/**
 * Kill it if user doesn't have ppropriate permissions
 * @since 0.7
 */
if ( !current_user_can( 'manage_options' ) )
	return;


/**
 * Santization check of $_GET variable
 * @since 0.7
 * This essentially white lists the possible options
 */
$sanitized_menucontents = '';
foreach ( $_GET['listItem'] as $position => $item ) {
	$item = $item;
	if (
		$item == 'MAINMENU'       OR
		$item == 'SECONDMENU'     OR
		$item == 'INACTIVEITEMS'  OR
		$item == 'home'           OR
		$item == 'pages'          OR
		$item == 'search'         OR
		$item == 'categories'     OR
		$item == 'links'          OR
		$item == 'archives'       OR
		$item == 'recentcomments' OR
		$item == 'recentposts'    OR
		$item == 'customcode1'    OR
		$item == 'customcode2'    OR
		$item == 'customcode3'    OR
		$item == 'customcode4'
	) {
		$sanitized_menucontents[$position] = $item;
	}
	pixopoint_menu_processhook();
}


/**
 * Update WP option
 * @since 0.7
 */
update_option( 'pixopoint_menu_content' , $sanitized_menucontents );
//echo '<p>';var_dump( get_option( 'pixopoint_menu_content' ) );echo '</p>';


/**
 * Echoing data on screen - only used for testing purposes
 * @since 0.7
 */
// var_dump( $sanitized_menucontents );
?>
<script type='text/javascript'>
jQuery(document).ready(
	function(){
		$("#text").fadeTo("slow", 0.3);
	}
);
</script>
<p id="text">
	Menu updated ...
</p>

