<?php
/*
	Add support for various themes
	@since 0.7

	PixoPoint Menu Plugin
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' ); // Sticking serialised data into an array
if ( $pixopoint_menuoptions['pixopoint_menu_themesupport'] == 'on' ) : // Checking if Auto-theme Support option is turned on


/**
 * Function for adding to theme hooks
 * @since 0.5
 */
function pixopoint_themesupport() {
	pixopoint_menu(); // Adds main menu
	// Add second menu
	if ( $pixopoint_menuoptions['pixopoint_menu_secondmenu'] == 'legacy' OR function_exists( 'pixopoint_menu_multimenus' ) )
		pixopoint_menu(2);
}


/**
 * Hybrid by Justin Tadlock ... http://themehybrid.com/themes/hybrid
 * @since 0.5
 */
add_action(	'init',	'remove_header_hybrid' );
function remove_header_hybrid() {
	remove_action( 'hybrid_after_header', 'hybrid_page_nav' );
	//wp_deregister_script( 'drop-downs' );
	remove_action( 'template_redirect', 'hybrid_enqueue_script' ); // Removes superfish.js script - also removes other scripts though, needs improving
}
add_action( 'hybrid_after_header', 'pixopoint_themesupport' );


/**
 * Thesis (yes it sucks, but we support it anyway)
 * @since 0.5
 */
add_action(	'init',	'remove_header_thesis' );
function remove_header_thesis() {
	remove_action( 'thesis_hook_before_header',	'thesis_nav_menu' );
}
add_action(	'thesis_hook_after_header',	'pixopoint_themesupport' );


/**
 * Adds function to wp_page_menu() hook
 * @since 0.5
 */
add_action(	'wp_page_menu',	'pixopoint_themesupport' );


/**
 * Crude hack to make Genesis theme work ... http://studiopress.com/
 * The theme does not include a suitable hook, so we're using output buffering to get rid of the existing menu (probably is a better way to do this though), then hooking in the new menu afterwards
 * @since 0.5
 */
function genesis_startbuffer() {ob_start();}
function genesis_menu() {
	ob_end_clean();
	pixopoint_themesupport();
}
function remove_genesis_scripts() {
	remove_action( 'get_header', 'genesis_load_scripts' );
}
add_action(	'genesis_before_nav',	'genesis_startbuffer' ); // Start buffer hack
add_action(	'genesis_after_nav',	'genesis_menu' ); // End buffer hack, insert menu
add_action(	'init',	'remove_genesis_scripts' ); // Removing Gensis theme scripts (includes Superfish)


endif; // End of check if theme auto-support is turned on


?>
