<?php
/*
	Loads stuff in HEAD AND FOOT
	@since 0.1

	PixoPoint Menu Plugin
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * Load CSS
 * @since 0.7
 */
add_action( 'init', 'pixopoint_menu_css' );
function pixopoint_menu_css() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	if ( $pixopoint_menuoptions['pixopoint_menu_generator'] != 'Theme CSS' AND $pixopoint_menuoptions['pixopoint_menu_displaycss'] != 'Disable' AND $_GET['testcss'] != 'on') {
		$uploads_folder = wp_upload_dir(); // Grab uploads folder
		// Check for static file first
		if ( file_exists( $uploads_folder['basedir'] . '/pixopoint_menu.css' ) )
			wp_enqueue_style( 'pixopoint-core', $uploads_folder['baseurl'] . '/pixopoint_menu.css', false, PIXOPOINT_MENU_VERSION, 'screen' ); // The main file which displays the users CSS
		// Otherwise load style.php (which loads database)
		else
			wp_enqueue_style( 'pixopoint-core', get_option( 'url' ) . '/?pixopoint_menu=css', false, PIXOPOINT_MENU_VERSION, 'screen' ); // The main file which displays the users CSS
	}
	elseif ( $_GET['testcss'] == 'on' )
		wp_enqueue_style( 'pixopoint-test', PIXOPOINT_MENU_URL_CORE . 'test.css', false, PIXOPOINT_MENU_VERSION, 'screen' ); // Used for debugging purposes
}


/**
 * Add content to HEAD section
 * @since 0.1
 */
add_action( 'wp_print_scripts', 'pixopoint_menu_mainhead' );
function pixopoint_menu_mainhead() {
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	echo '
<!-- PixoPoint Menu Plugin v' . PIXOPOINT_MENU_VERSION . ' by PixoPoint Web Development ... http://pixopoint.com/pixopoint-menu/ -->
';

	// Loads Suckerfish script if required
	if ( !function_exists( 'pixopoint_menu_animations_init' ) AND ( $pixopoint_menuoptions['pixopoint_menu_animations'] == 'Dropdowns' ) ) {
		echo "<!--[if lte IE 7]><script type='text/javascript' src='" . PIXOPOINT_MENU_URL_SCRIPTS . "pixopoint_menu_ie.js'></script><![endif]-->

";
	}
	// If animations are turned on, load animations script
	elseif ( $pixopoint_menuoptions['pixopoint_menu_animations'] == 'Animated dropdowns' AND !function_exists( 'pixopoint_menu_animations_init' ) ) {
		wp_register_script(
			'jquery-animated-menu',
			PIXOPOINT_MENU_URL_SCRIPTS . 'animated-menu.js',
			array( 'jquery' ),
			'1.0',
			true
		);
		wp_enqueue_script( 'jquery-animated-menu' );
	}
}


?>
