<?php
/*
	The main function used to add the menu to the site
	@since 0.1

	PixoPoint Menu Plugin
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * Main function used to add menu to site
 * @since 0.1
 */
function pixopoint_menu( $pixo_which=1 ) {
	global $set;
	$pixopoint_menu_content = get_option( 'pixopoint_menu_content' );
	$pixopoint_menuoptions = get_option( 'pixopoint_menuoptions' );
	// Only loads if second menu turned on
	if ( ( function_exists( 'pixopoint_menu_multimenus' ) AND $pixo_which == '2' ) OR ( $pixo_which == '1' ) ) { ?>
		<!-- PixoPoint Menu Plugin by PixoPoint Web Development ... http://pixopoint.com/pixopoint-menu/ --><?php
		// Checks to see if theme CSS should be used and if so serves different IDs
		if ( $pixopoint_menuoptions['pixopoint_menu_generator'] == 'Theme CSS' ) {echo '
<div id="menu_wrapper' . $pixo_which . '">
	<div id="menu' . $pixo_which . '">
';
		}
		// If not using theme CSS, then uses regular plugin IDs
		else {
		echo '
<div id="pixopoint_menu' . $pixo_which . '_wrapper">
	<div id="pixopoint_menu' . $pixo_which . '">
';
		}
		// If title tags are to be removed, then starts output buffering (title tags removed via ereg_replace)
		if ( ( $pixopoint_menuoptions['pixopoint_menu_titletags'] == 'on ') || ( $pixopoint_menuoptions['pixopoint_menu_pagesnoparentlinks'] != '' ) ) { ob_start(); }

		echo '
		<ul class="sf-menu" id="suckerfishnav';
			if ( $pixo_which != 1 )
				echo '_' . $pixo_which;
		echo '">
';
		// Menu contents are stored in the 'pixopoint_menu_menucontents' option
		if ( $pixopoint_menu_content != '' ) { // Checks if any menu options are stored
			// Loading the required menu items into position - functions stored in menu_items.php
			 foreach ( $pixopoint_menu_content as $set ) {
				// The seperator between inactive and active menu items
				if ( $set == 'SECONDMENU' ) { $XXX = 1; }
				if ( $set == 'INACTIVEITEMS' ) { $XXX = 2; }
				if ( ( $XXX == '' AND $pixo_which == 1 ) || ( $XXX == 1 AND $pixo_which == 2 ) ) { // Crude hack coz couldn't figure out how to finish a foreach early
					// 'Pages' option
					if ( $set == 'pages' ) {
						pixopoint_menu_pages();
					}
					// 'Categories' option
					elseif ( $set == 'categories' ) {
						if ( $pixopoint_menuoptions['pixopoint_menu_categories_showchildposts'] == 'on' ) {
							if ( is_category() ) { $pixopoint_menu_class = ' class="current_page_parent current_page_item"'; }
							if ( $pixopoint_menuoptions['pixopoint_menu_categories_singledropdown'] == 'on' ) {
								echo '<li' . $pixopoint_menu_class . '>
								<a href="';
								if ( $pixopoint_menuoptions['pixopoint_menu_categoriesurl'] != '') { echo $pixopoint_menuoptions['pixopoint_menu_categoriesurl']; }
								echo '">' .
									$pixopoint_menuoptions['pixopoint_menu_categoriestitle'] .
								'</a><ul>';
							}
							pixopoint_menu_categories_and_posts();
							if ( $pixopoint_menuoptions['pixopoint_menu_categories_singledropdown'] == 'on') { echo '</ul></li>'; }
						}
						else { pixopoint_menu_category(); }
					}
					// 'Recent Comments' option
					elseif ( $set == 'recentcomments' ) { pixopoint_menu_recentcomments(); }
					// 'Recent Posts' option
					elseif ( $set == 'recentposts' ) { pixopoint_menu_recentposts(); }
					// 'Search' option
					elseif ( $set == 'search' ) {
						echo '<li class="pixo_search';
						if ( $pixopoint_menuoptions['pixopoint_menu_searchalignment'] == 'on' ) {echo ' pixo_right';}
						echo '">
					<form method="get" action="' . $pixopoint_menuoptions['siteurl'] . '" > &nbsp;
						<input type="text" value="" class="pixo_inputsearch" name="s" />
						<input type="submit" value="'; _e('Search',PIXOPOINT_MENU_LANGUAGE); echo '" /> &nbsp;
					</form></li>';
					}
					// 'Home' option
					elseif ( $set == 'home' ) { pixopoint_menu_home(); }
					// 'Archive' option
					elseif ( $set == 'archives' ) {
						if ( $pixopoint_menuoptions['pixopoint_menu_archivesdropdown'] == 'on' ) {
							if ( $pixopoint_menuoptions['pixopoint_menu_archivesperiod'] == 'Months' ) {pixopoint_menu_archivesmonthsdropdown();}
							if ( $pixopoint_menuoptions['pixopoint_menu_archivesperiod'] == 'Years' ) {pixopoint_menu_archivesyearsdropdown();}
							if ( $pixopoint_menuoptions['pixopoint_menu_archivesperiod'] == 'Years and Months' ) {pixopoint_menu_archivesyearsandmonthsdropdown();}
						}
						else {
							if ( $pixopoint_menuoptions['pixopoint_menu_archivesperiod'] == 'Months' ) {pixopoint_menu_archivesmonths();}
							if ( $pixopoint_menuoptions['pixopoint_menu_archivesperiod'] == 'Years' ) {pixopoint_menu_archivesyears();}
							if ( $pixopoint_menuoptions['pixopoint_menu_archivesperiod'] == 'Years and Months' ) {pixopoint_menu_archivesyearsandmonths();}
						}
					}
					// 'Links' option
					elseif ( $set == 'links' ) {
						if ( $pixopoint_menuoptions['pixopoint_menu_linkscategorized'] == 'on' AND $pixopoint_menuoptions['pixopoint_menu_linksdropdown'] == 'on' ) {pixopoint_menu_blogrollcategoriesdropdown();}
						if ( $pixopoint_menuoptions['pixopoint_menu_linkscategorized'] == 'on' AND $pixopoint_menuoptions['pixopoint_menu_linksdropdown'] != 'on' ) {pixopoint_menu_blogrollcategories();}
						if ( $pixopoint_menuoptions['pixopoint_menu_linkscategorized'] != 'on' AND $pixopoint_menuoptions['pixopoint_menu_linksdropdown'] == 'on' ) {pixopoint_menu_blogrolldropdown();}
						if ( $pixopoint_menuoptions['pixopoint_menu_linkscategorized'] != 'on' AND $pixopoint_menuoptions['pixopoint_menu_linksdropdown'] != 'on' ) {pixopoint_menu_blogroll();}
					}
					// 'Custom Code 1' option
					elseif ( $set == 'customcode1' ) {pixopoint_menu_custom();}
					// 'Custom Code 21' option
					elseif ( $set == 'customcode2' ) {pixopoint_menu_custom2();}
					// 'Custom Code 3' option
					elseif ( $set == 'customcode3' ) {pixopoint_menu_custom3();}
					// 'Custom Code 4' option
					elseif ( $set == 'customcode4' ) {pixopoint_menu_custom4();}
					// Hook for adding additional menu options in
					else {pixopoint_menu_itemhook();}
				}
			}
		}

		// Sorting buffering from earlier
		if ( ( $pixopoint_menuoptions['pixopoint_menu_titletags'] == 'on') || ( $pixopoint_menuoptions['pixopoint_menu_pagesnoparentlinks'] != '' ) ) {
			$pixo_menucontents = ob_get_contents();
			ob_end_clean();

			// Removing unwanted URLs (set by user in admin panel)
			if ( $pixopoint_menuoptions['pixopoint_menu_pagesnoparentlinks'] != '' ) {
				$pixopoint_menu_pagesnoparentlinks = explode( ',', $pixopoint_menuoptions['pixopoint_menu_pagesnoparentlinks'] );
				// Process each page ID individually (to remove URLs where specified)
				foreach ( $pixopoint_menu_pagesnoparentlinks as $key => $value ){
					ob_start();
					query_posts( 'page_id=' . $value );
					global $more;
					$more = 0; // set $more to 0 in order to only get the first part of the post
					while ( have_posts() ) : the_post();
					the_permalink(); // prints the loop on screen (doesn't display coz being buffered)
					endwhile;
					wp_reset_query(); // Reset query so that another one can be made
					$pageurlstoberemoved = ob_get_contents(); // Grabs URL from buffer
					$pixo_menucontents = str_replace( $pageurlstoberemoved.'"', '#"', $pixo_menucontents ); // Removes URL from variable containing the menu contents
					ob_end_clean();
				}
			}
			// Removing title tags (set by user in admin panel)
			if ( $pixopoint_menuoptions['pixopoint_menu_titletags'] == 'on' ) {
				$pixo_menucontents = preg_replace( '/title=\"(.*?)\"/', '', $pixo_menucontents ); // double quotes
				$pixo_menucontents = preg_replace( '/title=\'(.*?)\'/', '', $pixo_menucontents ); // single quotes
			}

			echo $pixo_menucontents; // Finally echo the contents of the menu
		}

		// Add the closing tags
		echo '</ul>
	</div>
</div>
';
	}
}

?>
