<?php
/*

	Plugin Name: PixoPoint Menu Plugin
	Plugin URI: http://pixopoint.com/pixopoint-menu/
	Description: A WordPress plugin which adds a menu to your WordPress site. Visit the <a href="http://pixopoint.com/pixopoint-menu/">PixoPoint Menu Plugin page</a> for more information about the plugin, or our navigation <a href="http://pixopoint.com/forum/index.php?board=4.0">support board</a> for help with adding the menu to your theme.
	Author: PixoPoint Web Development / Ryan Hellyer
	Version: 0.8.12 beta
	Author URI: http://pixopoint.com/

	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * The plugin version
 * @since 0.8
 * Loaded here to ensure that it is updated in sync with the version in the plugin header
 */
define( 'PIXOPOINT_MENU_VERSION', '0.8.12beta' ); // Version of the plugin


/**
 * Check to confirm that WordPress is loaded
 * @since 0.7
 */
if ( ! defined('ABSPATH') )
	return;


/**
 * Load all of the stuff used for both admin and core
 * @package PixoPoint Menu
 */
require( 'library/common.php' ); // Common stuff used throughout the plugin
require( 'library/legacy.php' ); // Leftovers for legacy support of older plugins


/**
 * Load stylesheet
 * @since 0.1
 */
if ( $_GET['pixopoint_menu'] == 'css' ) {
	require( PIXOPOINT_MENU_DIR . 'style.php' );
	exit;
}


/**
 * If in admin page, then load admin page stuff
 * @since 0.1
 */
if ( is_admin() )
	require( PIXOPOINT_MENU_DIR_ADMIN . 'index.php' );


/**
 * If not on admin page ...
 * @since 0.1
 */
else
	require( PIXOPOINT_MENU_DIR_CORE . 'index.php' );


?>
