<?php
/*
	Adds legacy support for older features moved to other plugins
	@since 0.7

	PixoPoint Menu Plugin
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * Check to confirm that WordPress is loaded
 * @since 0.7
 */
if ( !defined( 'ABSPATH' ) )
	return;


/**
 * Loads the hook for Multi-menu functionality
 * @since 0.7
 */
function pixopoint_menu_multimenus() {do_action( 'pixopoint_menu_multimenus' );}


/**
 * Legacy code to support upgrades from Suckerfish menu plugin
 * @since 0.1
 * Also used by some PixoPoint Premium Support members
 * We promised to maintain this function long term so it won't be removed any time soon
 */
function suckerfish() {pixopoint_menu(1);}


/**
 * Loading plugins which have been extrapolated into external plugins
 * Only load if plugin not activated
 * @since 0.8
 */
$pixopoint_legacy = get_option( 'pixopoint-menu-legacy' );
if ( $pixopoint_legacy['animations'] == 'yes' )
	require( PIXOPOINT_MENU_DIR . 'animations.php' );
if ( $pixopoint_legacy['multiplemenus'] == 'yes' )
	require( PIXOPOINT_MENU_DIR . 'multiplemenus.php' );


