<?php
/*
	Loads tabs via AJAX - needs to be done via PHP file to utilize the WordPress http API
	@since 0.7

	Note: These tabs could be loaded directly in the plugin, but to maintain consistency
	between the PixoPoint.com site instructions and the plugins core files we have
	decided to call this pages via AJAX like this to avoid any conflicts. Previously
	we have had annoying problems with slight descrepencies between advice inside the
	plugin and on our site which has made providing support very difficult due to us
	not realising the errors until someone was kind enough to point out the problems.

	This could also be done from within WordPress itself, rather than in a PHP file which
	loads wp-load.php, but this route seemed easier and should load faster since a lot
	of the WordPress code which isn't required for this to work doesn't need to be processed
	first. Oh, and thanks for reading this deep into the plugin files. It's good to know
	someone cares enough to bother reading my random comments in here. Ryan.

	PixoPoint Menu Plugin
	Copyright (c) 2009 PixoPoint Web Development

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * Load correct header
 * @since 0.7
 */
header( 'Content-type: text/javascript' );


/**
 * Load WordPress core and common library
 * @since 0.7
 * The first option is the default WP configuration so should load the fastest. The rest are fall-backs for modified plugin folder positions.
 */
require( '../library/load-wp.php' );


/**
 * Grab the data and validate it
 * @since 0.7
 */
pixopoint_allowed_html(); // Loads allowed html into an array ... $allowed_html
// The Help page
$help = wp_remote_retrieve_body( wp_remote_get( 'http://pixopoint.com/?no_theme=757' ) ); // Gets the external page via the WordPress http API. Thanks to Jacob Santos for helping with this.
$help =  wp_kses( $help, $allowed_html, $allowed_protocols ); // Stripping nasty stuff
$help = str_replace( '"', "'", $help ); // Remove " characters (screws up JS)
$help = str_replace( '
', " ", $help );
// The Upgrade page
/*
$upgrade = wp_remote_retrieve_body( wp_remote_get( 'http://pixopoint.com/?no_theme=780' ) );
$upgrade =  wp_kses( $upgrade, $allowed_html, $allowed_protocols ); // Stripping nasty stuff
$upgrade = str_replace( '"', "'", $upgrade ); // Remove " characters (screws up JS)
$upgrade = str_replace( '
', " ", $upgrade );
*/


/**
 * Creating the HTML
 * @since 0.7
 */

?>
document.getElementById('help_options').innerHTML="<?php
	echo "<div class='tab_inner_padded'>" . $help . '</div>';
	?>
";
<?php /*
document.getElementById('upgrades_options').innerHTML="<?php
	echo "<div class='tab_inner_padded'>" . $upgrade . '</div>';
	?>
";
*/ ?>
